Name:        recursive-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Recursive.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 RecMonoCasualNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoCasualNerdFont-Bold.ttf
install -Dm644 RecMonoCasualNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoCasualNerdFont-BoldItalic.ttf
install -Dm644 RecMonoCasualNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoCasualNerdFont-Italic.ttf
install -Dm644 RecMonoCasualNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoCasualNerdFont-Regular.ttf
install -Dm644 RecMonoCasualNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontMono-Bold.ttf
install -Dm644 RecMonoCasualNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontMono-BoldItalic.ttf
install -Dm644 RecMonoCasualNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontMono-Italic.ttf
install -Dm644 RecMonoCasualNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontMono-Regular.ttf
install -Dm644 RecMonoCasualNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontPropo-Bold.ttf
install -Dm644 RecMonoCasualNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontPropo-BoldItalic.ttf
install -Dm644 RecMonoCasualNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontPropo-Italic.ttf
install -Dm644 RecMonoCasualNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontPropo-Regular.ttf
install -Dm644 RecMonoDuotoneNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFont-Bold.ttf
install -Dm644 RecMonoDuotoneNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFont-BoldItalic.ttf
install -Dm644 RecMonoDuotoneNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFont-Italic.ttf
install -Dm644 RecMonoDuotoneNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFont-Regular.ttf
install -Dm644 RecMonoDuotoneNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontMono-Bold.ttf
install -Dm644 RecMonoDuotoneNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontMono-BoldItalic.ttf
install -Dm644 RecMonoDuotoneNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontMono-Italic.ttf
install -Dm644 RecMonoDuotoneNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontMono-Regular.ttf
install -Dm644 RecMonoDuotoneNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontPropo-Bold.ttf
install -Dm644 RecMonoDuotoneNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontPropo-BoldItalic.ttf
install -Dm644 RecMonoDuotoneNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontPropo-Italic.ttf
install -Dm644 RecMonoDuotoneNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontPropo-Regular.ttf
install -Dm644 RecMonoLinearNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoLinearNerdFont-Bold.ttf
install -Dm644 RecMonoLinearNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoLinearNerdFont-BoldItalic.ttf
install -Dm644 RecMonoLinearNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoLinearNerdFont-Italic.ttf
install -Dm644 RecMonoLinearNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoLinearNerdFont-Regular.ttf
install -Dm644 RecMonoLinearNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontMono-Bold.ttf
install -Dm644 RecMonoLinearNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontMono-BoldItalic.ttf
install -Dm644 RecMonoLinearNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontMono-Italic.ttf
install -Dm644 RecMonoLinearNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontMono-Regular.ttf
install -Dm644 RecMonoLinearNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontPropo-Bold.ttf
install -Dm644 RecMonoLinearNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontPropo-BoldItalic.ttf
install -Dm644 RecMonoLinearNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontPropo-Italic.ttf
install -Dm644 RecMonoLinearNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontPropo-Regular.ttf
install -Dm644 RecMonoSmCasualNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFont-Bold.ttf
install -Dm644 RecMonoSmCasualNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFont-BoldItalic.ttf
install -Dm644 RecMonoSmCasualNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFont-Italic.ttf
install -Dm644 RecMonoSmCasualNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFont-Regular.ttf
install -Dm644 RecMonoSmCasualNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontMono-Bold.ttf
install -Dm644 RecMonoSmCasualNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontMono-BoldItalic.ttf
install -Dm644 RecMonoSmCasualNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontMono-Italic.ttf
install -Dm644 RecMonoSmCasualNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontMono-Regular.ttf
install -Dm644 RecMonoSmCasualNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontPropo-Bold.ttf
install -Dm644 RecMonoSmCasualNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontPropo-BoldItalic.ttf
install -Dm644 RecMonoSmCasualNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontPropo-Italic.ttf
install -Dm644 RecMonoSmCasualNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/RecMonoCasualNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/RecMonoCasualNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RecMonoCasualNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/RecMonoCasualNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/RecMonoCasualNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/RecMonoDuotoneNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/RecMonoLinearNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/RecMonoLinearNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RecMonoLinearNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/RecMonoLinearNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/RecMonoLinearNerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/RecMonoSmCasualNerdFontPropo-Regular.ttf
%license "LICENSE.txt"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
